Bug 844514 - scanner programs don't ask for scanner drivers
scanner programs don't ask for scanner drivers
Status: CLOSED DUPLICATE of bug 918238
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 21:18 EDT by Tom
Modified: 2014-04-03 09:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 09:54:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom 2012-07-30 21:18:39 EDT
Description of problem:
When I installed these scanner programs:
gscan2pdf
xsane
xsane-gimp
skanlite
simple-scan
none of them asked for me to install sane-backends-drivers-scanners.
I wasted time trying to find out why 'scanimage -L' couldn't find my scanner, but 'sane-find-scanner' could.

Version-Release number of selected component (if applicable):
sane-backends-drivers-scanners-1.0.22-11.fc17

How reproducible:
Everytime

Steps to Reproduce:
1.Setup printer/scanner combo machine.
2.Machine prints fine, but scanner not recognized even after installing scanner programs.
3.Install sane-backends-drivers-scanners separately, and now scanner programs work.
  
Actual results:
Scanner programs only work after manually installing sane-backends-drivers-scanners.

Expected results:
sane-backends-drivers-scanners automatically installed as a dependency of scanner programs.

Additional info:
Maybe this is a bug against scanner programs, and not sane-backends-drivers-scanners, but this seems simpler.
Comment 1 infrabit 2012-08-17 20:51:19 EDT
Agree it should be as simple as:

    yum install sane-backends

The clue is in man sane-epson2:

    FILES
           /usr/lib64/sane/libsane-epson2.a
                  The static library implementing this backend.

           /usr/lib64/sane/libsane-epson2.so
                  The shared library implementing this backend (present 
                  on systems that support dynamic loading).

which leads to required packages:

    [root@leel sane.d]# rpm -qf epson2.conf
    sane-backends-1.0.22-11.fc17.x86_64

    [root@leel sane.d]# rpm -qf /usr/lib64/sane/libsane-epson2.so
    sane-backends-drivers-scanners-1.0.22-11.fc17.x86_64

    [root@leel sane.d]# rpm -qR sane-backends
    config(sane-backends) = 1.0.22-11.fc17
    ...
    sane-backends-libs(x86-64) = 1.0.22-11.fc17
    ...

I believe man page is the only way to avoid circular dependency:

    [root@leel sane.d]# rpm -qR sane-backends-drivers-scanners | grep sane
    libsane.so.1()(64bit)
    sane-backends = 1.0.22-11.fc17
    sane-backends-libs(x86-64) = 1.0.22-11.fc17

although I'd argue that you should be able to install the scanner 
drivers without dependencies on bakend and libs since they are just a 
bunch of drivers. OTOH backends and libs won't work wihout drivers.
Comment 2 Fedora End Of Life 2013-07-03 21:25:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 01:48:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Nils Philippsen 2013-08-01 10:31:45 EDT
I think the proper way to do this is to install scanner backend drivers if devices supported by them are detected, similar to cups printer drivers, by way of udev rules and PackageKit. Moving to Rawhide/FutureFeature so it doesn't get closed again.
Comment 5 Jaromír Končický 2014-04-03 09:54:00 EDT

*** This bug has been marked as a duplicate of bug 918238 ***

Note You need to log in before you can comment on or make changes to this bug.